Bug 110846 - possible to configure non-existant packages
Summary: possible to configure non-existant packages
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-kickstart   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-24 20:33 UTC by David Juran
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-11 17:06:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Juran 2003-11-24 20:33:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030922

Description of problem:
using the GUI redhat-config-kickstart, it is possible to select the
package groups 'Server Configuration Tools' and 'Network Servers'
which do not exist.

Version-Release number of selected component (if applicable):
redhat-config-kickstart-2.3.19-1

How reproducible:
Always

Steps to Reproduce:
1.create a ks.cfg using redhat-config-kickstart which contain 'Server
Configuration Tools'
2. install using this ks.cfg
3. watch it fail.
    

Additional info:

Comment 1 Brent Fox 2004-01-06 22:17:16 UTC
Which RHEL 3 variant are you using (AS, ES, WS)?

Comment 2 David Juran 2004-01-06 22:20:37 UTC
WS

Comment 3 Brent Fox 2004-01-07 17:51:48 UTC
"Server Configuration Tools" and "Network Servers" are valid package
groups for AS and ES although they don't exist for WS.  We left those
groups in redhat-config-kickstart in order to make it possible to
create a kickstart file for all RHEL variants.  

In other words, it should be possible to use redhat-config-kickstart
on a WS machine to make a kickstart file for an AS installation.  

However, I see your point in that there is no way for the user to tell
that some groups may not exist for WS systems.  



Comment 4 Brent Fox 2004-03-11 17:06:28 UTC
This will be fixed in system-config-kickstart-2.5.8-1 to make it more
clear which package groups are avilable on the different variants.


Note You need to log in before you can comment on or make changes to this bug.